let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const getFloorAssets = async (organization: string, projectId?: string, versionId?: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/floorAssets/${projectId}/${versionId}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }

    // console.log('response: ', response);
    if (!response.ok) {
      console.error("Failed to get assets");
    }

    const result = await response.json();

    return result;
  } catch (error) {
    echo.error("Failed to get floor asset");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
